<?php
if ( ! function_exists( 'yith_wcpsc_wpml_get_current_language_id' ) ) {
	function yith_wcpsc_wpml_get_current_language_id( $id ) {
		global $sitepress;
		if ( $sitepress ) {
			$language = $sitepress->get_current_language();
			if ( function_exists( 'icl_object_id' ) ) {
				$id = icl_object_id( $id, get_post_type( $id ), true, $language );
			} else if ( function_exists( 'wpml_object_id_filter' ) ) {
				$id = wpml_object_id_filter( $id, get_post_type( $id ), true, $language );
			}
		}

		return $id;
	}
}

if ( ! function_exists( 'yith_wcpsc_format_hex_color' ) ) {
	/**
	 * Format an hex color
	 *
	 * @param string $color The color in hex or rgb format.
	 *
	 * @return string
	 * @since 1.1.24
	 */
	function yith_wcpsc_format_hex_color( $color ) {
		$color = trim( $color );
		if ( strpos( $color, 'rgb' ) === 0 || strpos( $color, 'rgba' ) === 0 ) {
			$color  = str_replace( array( 'rgb', 'rgba', '(', ')' ), '', $color );
			$colors = array_map( 'absint', explode( ',', $color ) );
			if ( count( $colors ) >= 3 ) {
				$color = sprintf( "#%02x%02x%02x", $colors[0], $colors[1], $colors[2] );
			} else {
				$color = '';
			}
		}

		$hex = trim( str_replace( '#', '', $color ) );

		if ( strlen( $hex ) === 3 ) {
			$hex = $hex[0] . $hex[0] . $hex[1] . $hex[1] . $hex[2] . $hex[2];
		}

		return $hex ? '#' . $hex : '';
	}
}
